OpenSuse: Problem mit Plesk 9.3.0 und openssl 0.9.8h

Schpeiderman

Blog Benutzer
Hallo Zusammen,

dsa Problem ist wohl auch schon bei CentOS und anderen Linux Derivaten aufgetaucht nun auch bei OpenSuse.

Plesk startet nicht mehr dazu findet Ihr im Errorlog:
2010-04-09 09:34:05: (log.c.135) server stopped
2010-04-09 09:34:13: (log.c.75) server started
2010-04-09 09:34:13: (network.c.336) SSL: error:00000000:lib(0):func(0):reason(0)

Es gibt wohl schon einen KB Artikel bei Parallels, doch da gibt es nix für OpenSuse.

Nun meine Frage, hat jemand evtl. einen anderen Workaround entdeckt, wie man diesen Fehler wieder beseitigen kann?

Danke und Gruß
Schpeidi
 

Dado

New Member
Ich habe den Fehler auch und habe die letzten Tage damit verbracht herauszufinden wie ich ihn beheben kann. Einen offiziellen Patch gibt es von Parallels immer noch nicht.
Im Forum wird beschrieben, dass man einfach wieder die alten Versionen von openssl, mod_ssl und httpd installieren soll bis ein Patch bereit steht (Hier der Diskussionsthread: http://forum.parallels.com/showthread.php?t=100313).
Ein User beschreibt, dass man einfach das SSL von Plesk deaktivieren könne (http://forum.parallels.com/showpost.php?p=408463&postcount=17). Dies habe ich probiert und es hat funktioniert. Ist sicherlich nicht die beste Lösung, aber für mich reicht es bis hoffentlich bald ein offizieller Patch für openSUSE bereitgestellt wird.
 

paradoxlogic

New Member
Hallochen,

ich habe versucht das angebotene Suse-Fix per rpm zu installieren - jedoch funktioniert dies nicht. Es werden folgende Konflikte angezeigt:

Code:
file /usr/lib/sw-cp-server/modules/mod_access.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_accesslog.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_alias.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_auth.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_cgi.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_cml.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_compress.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_dirlisting.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_evasive.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_evhost.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_expire.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_fastcgi.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_flv_streaming.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_indexfile.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_magnet.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_mysql_vhost.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_proxy.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_redirect.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_rewrite.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_rrdtool.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_scgi.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_secdownload.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_setenv.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_simple_vhost.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_ssi.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_staticfile.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_status.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_trigger_b4_dl.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_userdir.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_usertrack.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/modules/mod_webdav.so from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/lib/sw-cp-server/sw-suexec from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586
        file /usr/sbin/sw-cp-serverd from install of sw-cp-server-1.0-6.201004011431.suse111.i586 conflicts with file from package sw-cp-server-1.0-5.200902191145.suse111.i586

Kann mir jemand helfen? Habe ich etwas falsch gemacht?

LG Anke
 

DjTom-i

verifizierter Anbieter
verifizierter Anbieter
autoinstaller einfach ausführen, der korrekte patch kommt auch bei suse seit ein paar tagen.
 

paradoxlogic

New Member
Hallo,

ich habe nun sowohl das Fix mit rpm -Uvh .... installiert als auch den Plesk-Autoinstaller durchlaufen lassen.
Leider kommt beim Lizenzkey-Update-Versuch immer noch der SSL connect error und eine Fehlermeldung in der /var/log/sw-cp-server/error_log :

Code:
2010-04-15 08:08:15: (connections.c.299) SSL: 1 error:140780E5:SSL routines:SSL23_READ:ssl handshake failure

Mmmh - was mache ich nur falsch??
 

paradoxlogic

New Member
Beim Durchlauf des Plesk-Autoinstallers kommt außerdem folgende Meldung:

Code:
Virtuozzo was detected. Trying to connect to VZAgent...Warning! Failed to connect to VZAgent: ioctl: Transport endpoint is not connected
 

paradoxlogic

New Member
Also - ich habe inzwischen ein Server-Backup vom Zeitpunkt vor dem Suse-SSL - Update eingespielt. Das Lizenzkey-Update in Plesk funktionierte nun wieder korrekt.
Ich habe dann den Plesk-Autoinstaller durchlaufen lassen - und das Patch wurde eingespielt. Dann habe ich das Suse-SSL-Update vorgenommen und nun habe ich denselben SSL-connect-error wie zuvor... :-(

Das heißt - dieses Plesk-Patch funktioniert nicht bzw. beseitigt nicht den SSL-Fehler. Da muss Plesk wohl nochmal nachbessern oder?
 

paradoxlogic

New Member
Es ist schon enttäuschend: Weder die Experten des Techniksupports von STRATO noch der Parallels- Support konnten bisher eine funktionierende Lösung für das hier beschriebene Problem anbieten (auch das angebliche Parallels-Patch für Suse behebt nicht den Fehler), während aber munter schon die nächste Version (9.5) des Plesk Panels angeboten wird...

Also für alle Betroffenen mit dem Betriebssystem Opensuse 11.1 hier eine funktionierende Lösung (ohne entsprechende Module downgraden zu müssen).

Es müssen lediglich 2 Module aus der Distribution 11.2 eingebunden (geupdatet werden) und schon funtioniert der Keyupdate in Plesk wieder:
Schritt 1 - herunterladen der Module (für die Version Suse 11.1 x86_64 ---- für Suse 11.1 i586 entsprechend x86_64 durch i586 ersetzen):

Code:
wget http://download.opensuse.org/distribution/11.2/repo/oss/suse/x86_64/curl-7.19.6-2.1.x86_64.rpm
wget http://download.opensuse.org/distribution/11.2/repo/oss/suse/x86_64/libcurl4-7.19.6-2.1.x86_64.rpm

Schritt 2 - Installation/Update der Module (für die Version Suse 11.1 x86_64 ---- für Suse 11.1 i586 entsprechend x86_64 durch i586 ersetzen):
Code:
rpm -Uhv curl-7.19.6-2.1.x86_64.rpm
rpm -Uhv libcurl4-7.19.6-2.1.x86_64.rpm
 
Top